org.apache.tinkerpop.gremlin.driver

## Class RequestOptions

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.RequestOptions

-     public final class RequestOptions
      extends Object

  Options that can be supplied on a per request basis.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RequestOptions.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RequestOptions` | `EMPTY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestOptions.Builder` | `build()`
    `Optional<Map<String,String>>` | `getAliases()`
    `Optional<Integer>` | `getBatchSize()`
    `Optional<String>` | `getLanguage()`
    `Optional<UUID>` | `getOverrideRequestId()`
    `Optional<Map<String,Object>>` | `getParameters()`
    `Optional<Long>` | `getTimeout()`
    `Optional<String>` | `getUserAgent()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final RequestOptions EMPTY

  - ### Method Detail

    - #### getOverrideRequestId

          public Optional<UUID> getOverrideRequestId()

    - #### getAliases

          public Optional<Map<String,String>> getAliases()

    - #### getParameters

          public Optional<Map<String,Object>> getParameters()

    - #### getBatchSize

          public Optional<Integer> getBatchSize()

    - #### getTimeout

          public Optional<Long> getTimeout()

    - #### getUserAgent

          public Optional<String> getUserAgent()

    - #### getLanguage

          public Optional<String> getLanguage()

    - #### build

          public static RequestOptions.Builder build()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.